- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# ClpCholeskyDense Class Reference

`#include <ClpCholeskyDense.hpp>`

Inheritance diagram for ClpCholeskyDense:

[legend]
Collaboration diagram for ClpCholeskyDense:

[legend]
List of all members.

## Public Member Functions
Virtual methods that the derived classes provides
virtual int | order (ClpInterior *model)
| Orders rows and saves pointer to matrix.and model.
virtual int | symbolic ()
| Does Symbolic factorization given permutation.
virtual int | factorize (const CoinWorkDouble *diagonal, int *rowsDropped)
| Factorize - filling in rowsDropped and returning number dropped.
virtual void | solve (CoinWorkDouble *region)
| Uses factorization to solve.
Non virtual methods for ClpCholeskyDense
int | reserveSpace (const ClpCholeskyBase *factor, int numberRows)
| Reserves space.
CoinBigIndex | space (int numberRows) const
| Returns space needed.
void | factorizePart2 (int *rowsDropped)
| part 2 of Factorize - filling in rowsDropped
void | factorizePart3 (int *rowsDropped)
| part 2 of Factorize - filling in rowsDropped - blocked
void | solveF1 (longDouble *a, int n, CoinWorkDouble *region)
| Forward part of solve.
void | solveF2 (longDouble *a, int n, CoinWorkDouble *region, CoinWorkDouble *region2)
| Reserves space.
void | solveB1 (longDouble *a, int n, CoinWorkDouble *region)
| Backward part of solve.
void | solveB2 (longDouble *a, int n, CoinWorkDouble *region, CoinWorkDouble *region2)
| Reserves space.
int | bNumber (const longDouble *array, int &, int &)
| Reserves space.
longDouble * | aMatrix () const
| A.
longDouble * | diagonal () const
| Diagonal.
Constructors, destructor
| ClpCholeskyDense ()
| Default constructor.
virtual | ~ClpCholeskyDense ()
| Destructor.
| ClpCholeskyDense (const ClpCholeskyDense &)
| Copy.
ClpCholeskyDense & | operator= (const ClpCholeskyDense &)
| Assignment.
virtual ClpCholeskyBase * | clone () const
| Clone.
## Private Attributes
Data members
bool | borrowSpace_
| Just borrowing space.

## Detailed Description

Definition at line 10 of file ClpCholeskyDense.hpp.

## Constructor & Destructor Documentation

ClpCholeskyDense::ClpCholeskyDense | ( |  | ) |

Default constructor.

virtual ClpCholeskyDense::~ClpCholeskyDense | ( |  | ) | `[virtual]`

Destructor.

ClpCholeskyDense::ClpCholeskyDense | ( | const ClpCholeskyDense & |  | ) |

Copy.

## Member Function Documentation

virtual int ClpCholeskyDense::order | ( | ClpInterior * | model | ) | `[virtual]`

Orders rows and saves pointer to matrix.and model.

Returns non-zero if not enough memory

Reimplemented from ClpCholeskyBase.

virtual int ClpCholeskyDense::symbolic | ( |  | ) | `[virtual]`

Does Symbolic factorization given permutation.

This is called immediately after order. If user provides this then user must provide factorize and solve. Otherwise the default factorization is used returns non-zero if not enough memory

Reimplemented from ClpCholeskyBase.

virtual int ClpCholeskyDense::factorize | ( | const CoinWorkDouble * | diagonal,
|  | int * | rowsDropped |
| ) |  |  | `[virtual]`

Factorize - filling in rowsDropped and returning number dropped.

If return code negative then out of memory

Reimplemented from ClpCholeskyBase.

virtual void ClpCholeskyDense::solve | ( | CoinWorkDouble * | region | ) | `[virtual]`

Uses factorization to solve.

Reimplemented from ClpCholeskyBase.

int ClpCholeskyDense::reserveSpace | ( | const ClpCholeskyBase * | factor,
|  | int | numberRows |
| ) |  |  |

Reserves space.

If factor not NULL then just uses passed space Returns non-zero if not enough memory

CoinBigIndex ClpCholeskyDense::space | ( | int | numberRows | ) | const

Returns space needed.

void ClpCholeskyDense::factorizePart2 | ( | int * | rowsDropped | ) |

part 2 of Factorize - filling in rowsDropped

Reimplemented from ClpCholeskyBase.

void ClpCholeskyDense::factorizePart3 | ( | int * | rowsDropped | ) |

part 2 of Factorize - filling in rowsDropped - blocked

void ClpCholeskyDense::solveF1 | ( | longDouble * | a,
|  | int | n,
|  | CoinWorkDouble * | region |
| ) |  |  |

Forward part of solve.

void ClpCholeskyDense::solveF2 | ( | longDouble * | a,
|  | int | n,
|  | CoinWorkDouble * | region,
|  | CoinWorkDouble * | region2 |
| ) |  |  |

Reserves space.

If factor not NULL then just uses passed space Returns non-zero if not enough memory

void ClpCholeskyDense::solveB1 | ( | longDouble * | a,
|  | int | n,
|  | CoinWorkDouble * | region |
| ) |  |  |

Backward part of solve.

void ClpCholeskyDense::solveB2 | ( | longDouble * | a,
|  | int | n,
|  | CoinWorkDouble * | region,
|  | CoinWorkDouble * | region2 |
| ) |  |  |

Reserves space.

If factor not NULL then just uses passed space Returns non-zero if not enough memory

int ClpCholeskyDense::bNumber | ( | const longDouble * | array,
|  | int & | ,
|  | int & |  |
| ) |  |  |

Reserves space.

If factor not NULL then just uses passed space Returns non-zero if not enough memory

longDouble* ClpCholeskyDense::aMatrix | ( |  | ) | const`[inline]`

A.

Definition at line 50 of file ClpCholeskyDense.hpp.

References ClpCholeskyBase::sparseFactor_.

longDouble* ClpCholeskyDense::diagonal | ( |  | ) | const`[inline]`

Diagonal.

Reimplemented from ClpCholeskyBase.

Definition at line 53 of file ClpCholeskyDense.hpp.

References ClpCholeskyBase::diagonal_.

ClpCholeskyDense& ClpCholeskyDense::operator= | ( | const ClpCholeskyDense & |  | ) |

Assignment.

virtual ClpCholeskyBase* ClpCholeskyDense::clone | ( |  | ) | const`[virtual]`

Clone.

Reimplemented from ClpCholeskyBase.

## Member Data Documentation

bool ClpCholeskyDense::borrowSpace_`[private]`

Just borrowing space.

Definition at line 77 of file ClpCholeskyDense.hpp.

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Cgl-0.55.0/Clp/src/ClpCholeskyDense.hpp